using Code.Core;
namespace Code;

public class SetupNewProjectUseCase
{
    private Project projectToSet;
    public SetupNewProjectUseCase(Project project)
    {
        SaveBasicProjectData(); // cuvamo basic podatke na disku
        SetCodeCheckers(); //podesavamo sonarqube
        CreateExampleUserStories(); //podesavamo FitNesse
    }

    private void SaveBasicProjectData()
    {
        // Prvo da odma sacuva Name, Description, SourceCodeRootPath i StartingDate u bazu
    }
    
    public bool SetCodeCheckers()
    {
        // Odmah da napravi novi projekat u SonarQube
        // Da mu postavi ime iz projekta
        // Da pokrene sonarscanner, dotnetbuild i onu trecu komandu
        return true;
    }
    
    private void CreateExampleUserStories()
    {
        
    }
}
